---
version: '1.1'
network_address_eth0:
  description: Network address
  type: network
netmask_address_eth0:
  description: Network address
  type: netmask
ip_address:
  description: an IP
  type: ip
  validators:
    - jinja: |
        {% if not _.ip_address | valid_in_network(_.network_address_eth0, _.netmask_address_eth0) %}
        {{ _.ip_address }} is not in network {{ _.network_address_eth0 }}/{{ _.netmask_address_eth0 }}
        {% endif %}
      description: check if IP in the previous network
